LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-21-2008, 04:44 AM   #1
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Rep: Reputation: 15
no boot after apdate kernel 2.6.24.10-47.f8 to 2.6.25.14-69.f8


Hi all!
Fedora8
After update kernel 2.6.24.10-47 to 2.6.25.14.69
in time boot
"
uncompressing.........
init[1]:segfault at 6 ip 0000..6 sp bfd782b8 error 4 in ld--2.7.so[110000+1b000]
.........
.........
"
 
Old 08-21-2008, 10:03 PM   #2
pinniped
Senior Member
 
Registered: May 2008
Location: planet earth
Distribution: Debian
Posts: 1,732

Rep: Reputation: 50
Can you still boot the older kernel image?
 
Old 08-21-2008, 11:10 PM   #3
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
before the red hat boot screen pops up hit any button then use the arrow keys ( down key) to select the old kernel .It sounds like there are some missing dependencies for the new kernel
 
Old 08-22-2008, 04:11 AM   #4
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all!
Yes I may,boot old kernel!
I want have new kernel.
I am copy ..fedora..mirror..update/8/i386/*.* to usb
copy usb to ../updt/
createrepo ./
e.t.c.
early all was Ok!
many taims.
Last ok is 2.6.24.7.-92
Thank all!

Last edited by us_ed; 08-22-2008 at 04:18 AM.
 
Old 08-22-2008, 01:17 PM   #5
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
off hand what yum repo's do you have enabled
can you post the output of
Code:
yum repolist
you may have conflicting repos installed/turned on
for example : having lvina and freshrpms both installed and on WILL cause problems
 
Old 08-23-2008, 01:17 AM   #6
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all
"you may have conflicting repos installed/turned on"
I am install yum-2.8.12 from source.
Mondey i look"yum repolist"
thank.
 
Old 08-23-2008, 01:43 AM   #7
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
also you may want to see what is missing from yum, seeing as you built from source .Updates will not update yum or it's components.for example my f8 system has on it
Code:
 ~]# rpm -qa | grep yum
yum-utils-1.1.14-4.fc8
yum-updatesd-0.9-1.fc8
yum-metadata-parser-1.1.2-1.fc8
yum-3.2.8-2.fc8
Why did you not install yum from the install dvd , or why did you over wright the yum rpm with a source build ?
 
Old 08-24-2008, 12:58 AM   #8
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all

"Why did you not install yum from the install dvd , or why did you over wright the yum rpm with a source build ?"

My local repositories have adjust on content install dvd.
When I do next update,I am get message:"you need
yum.???>=3.8.11
yum.????>=3.8.12 (yum.???,yum.???? not remember)"
I am not found yum-3.8.12.rpm in repositories in world.
but found in source

Last edited by us_ed; 08-24-2008 at 01:01 AM.
 
Old 08-25-2008, 04:08 AM   #9
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all

rpm -qa|grep yum

yum-metadata-parser-1.1.2-1.fc8
yum-keys-1.1.14-4.fc8
yum-security-1.1.14-4.fc8
yum-versionlock-1.1.14-4.fc8
yumex-2.0.4-1.fc8
yum-presto-0.4.5-1.fc8
yum-tsflags-1.1.14-4.fc8
yum-aliases-1.1.14-4.fc8
yum-cron-0.8.2-1.fc8
yum-filter-data-1.1.14-4.fc8
yum-merge-conf-1.1.14-4.fc8
yum-protect-packages-1.1.14-4.fc8
yum-tmprepo-1.1.14-4.fc8
yum-utils-1.1.14-4.fc8
yum-downloadonly-1.1.14-4.fc8
yum-changelog-1.1.14-4.fc8
yum-fedorakmod-1.1.14-4.fc8
yum-list-data-1.1.14-4.fc8
yum-protectbase-1.1.14-4.fc8
yum-upgrade-helper-1.1.14-4.fc8
yum-3.2.18-1.fc8
yum-updatesd-0.9-1.fc8
yum-fastestmirror-1.1.14-4.fc8
yum-priorities-1.1.14-4.fc8
yum-updateonboot-1.1.14-4.fc8
yum-allowdowngrade-1.1.14-4.fc8
yum-kernel-module-1.1.14-4.fc8
yum-refresh-updatesd-1.1.14-4.fc8
yum-verify-1.1.14-4.fc8

---------------------------------
yum repolist │
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror,
: fedorakmod, filter-data, kernel-module, keys, list-data, merge- : conf, presto, priorities, protect-packages, protectbase, │
:refresh-updatesd, security, tmprepo, tsflags, upgrade-helper,
: verify, versionlock
Loading mirror speeds from cached hostfile
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 243, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 118, in main
result, resultmsgs = base.doCommands()
File "/usr/share/yum-cli/cli.py", line 339, in doCommands
return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
File "/usr/share/yum-cli/yumcommands.py", line 659, in doCommand
base.repos.populateSack()
File "/usr/lib/python2.5/site-packages/yum/repos.py", line 221, in populateSack
self.doSetup()
File "/usr/lib/python2.5/site-packages/yum/repos.py", line 71, in doSetup �� │ self.ayum.plugins.run('postreposetup')
File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 176, in run
func(conduitcls(self, self.base, conf, **kwargs))
File "/usr/lib/yum-plugins/fastestmirror.py", line 144, in postreposetup_hook
repomirrors[str(repo)] = FastestMirror(repo.urls).get_mirrorlist()
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 566, in <lambda>
urls = property(fget=lambda self: self._geturls(),
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 563, in _geturls
self._baseurlSetup()
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 519, in _baseurlSetup
mirrorurls.extend(self._getMirrorList())
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1326, in _getMirrorList
print "Could not retrieve mirrorlist %s error was\n%s" % (url, e)
File "/usr/lib/python2.5/codecs.py", line 303, in write
data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 105: ordinal not in range(128)
Thank all
 
Old 08-25-2008, 01:53 PM   #10
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
there is your problem
Quote:
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror,
: fedorakmod, filter-data, kernel-module, keys, list-data, merge- : conf, presto, priorities, protect-packages, protectbase, │
:refresh-updatesd, security, tmprepo, tsflags, upgrade-helper,
: verify, versionlock
remove ALL of thoes plugins
and i know that fastestmirror is broken
run
Code:
su -
yum remove yum-protectbase yum-protect-packages yum-priorities yum-presto yum-merge-conf yum-list-data yum-keys yum-kernel-module yum-filter-data yum-fedorakmod yum-fastestmirror yum-downloadonly yum-changelog yum-allowdowngrade yum-aliases
#------ then run -------
yum clean all 
rpm  --rebuilddb  
#----- then ------------
yum update
 
Old 08-26-2008, 02:56 PM   #11
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all.
I am sorry,but nothing not change.
I am all do.
I will wait next update kernel.
My base system Fedora 9,but i don't like her.
In grub.conf(f9)
exist 2 set strings.
1)......
kernel-2.6.24.10-47
.........
2)........
kernel-2.6.25.11-69
--------------------
+
i am
rpm -e yum*
in local repositories
rpm -Uhv --nodeps yum*
rpm -Uhv yum-3.2.18-2.f8.rpm
rpm-Uhv --force yum*

..............

Last edited by us_ed; 08-26-2008 at 03:01 PM.
 
Old 09-17-2008, 11:14 AM   #12
us_ed
Member
 
Registered: Nov 2006
Posts: 43

Original Poster
Rep: Reputation: 15
Hi all.
I am trial update kernel 2.6.26.3-14.fc8
but nothing not chenged
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
no /boot/loader and no /boot/kernel/kernel error message on a free bsd install chownuseradd Linux - Newbie 1 02-09-2008 09:05 PM
DSL Kernel Wont detect Flash drive on boot, cant boot =( Javahulk Linux - General 1 03-24-2005 03:59 PM
CAVEAT: /boot/kernel.h & how not to clobber your kernel sources (Conectiva, Red Hat) JCCyC LinuxQuestions.org Member Success Stories 0 08-07-2003 08:49 AM
What to do with /boot/System.map on dual Kernel boot? cathodion Linux - General 2 05-17-2002 12:19 PM
boot of kernel 2.4.0-ac10 stops after releasing mem used by kernel zielot Linux - Software 0 01-26-2001 07:30 PM


All times are GMT -5. The time now is 09:03 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration